/*
 * This file was generated automatically by xsubpp version 1.9508 from the
 * contents of CairoPattern.xs. Do not edit this file, edit CairoPattern.xs instead.
 *
 *	ANY CHANGES MADE HERE WILL BE LOST!
 *
 */

#line 1 "CairoPattern.xs"
/*
 * Copyright (c) 2004-2005 by the cairo perl team (see the file README)
 *
 * Licensed under the LGPL, see LICENSE file for more information.
 *
 * $Header: /cvs/cairo/cairo-perl/CairoPattern.xs,v 1.13 2007/05/06 11:28:37 tsch Exp $
 */

#include <cairo-perl.h>
#include <cairo-perl-private.h>

static const char *
get_package (cairo_pattern_t *pattern)
{
#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 2, 0)
	cairo_pattern_type_t type;
	const char *package;

	type = cairo_pattern_get_type (pattern);
	switch (type) {
	    case CAIRO_PATTERN_TYPE_SOLID:
		package = "Cairo::SolidPattern";
		break;

	    case CAIRO_PATTERN_TYPE_SURFACE:
		package = "Cairo::SurfacePattern";
		break;

	    case CAIRO_PATTERN_TYPE_LINEAR:
		package = "Cairo::LinearGradient";
		break;

	    case CAIRO_PATTERN_TYPE_RADIAL:
		package = "Cairo::RadialGradient";
		break;

	    default:
		warn ("unknown pattern type %d encountered", type);
		package = "Cairo::Pattern";
		break;
	}

	return package;
#else
	const char *package = cairo_perl_package_table_lookup (pattern);
	return package ? package : "Cairo::Pattern";
#endif
}

SV *
cairo_pattern_to_sv (cairo_pattern_t *pattern)
{
	SV *sv = newSV (0);
	sv_setref_pv(sv, get_package (pattern), pattern);
	return sv;
}

/* ------------------------------------------------------------------------- */

#line 70 "CairoPattern.c"

XS(XS_Cairo__Pattern_DESTROY); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Pattern_DESTROY)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::Pattern::DESTROY(pattern)");
    {
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 64 "CairoPattern.xs"
	cairo_pattern_destroy (pattern);
#line 82 "CairoPattern.c"
    }
    XSRETURN_EMPTY;
}


XS(XS_Cairo__Pattern_set_matrix); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Pattern_set_matrix)
{
    dXSARGS;
    if (items != 2)
	Perl_croak(aTHX_ "Usage: Cairo::Pattern::set_matrix(pattern, matrix)");
    {
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
	cairo_matrix_t *	matrix = SvCairoMatrix (ST(1));

	cairo_pattern_set_matrix(pattern, matrix);
    }
    XSRETURN_EMPTY;
}


XS(XS_Cairo__Pattern_get_matrix); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Pattern_get_matrix)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::Pattern::get_matrix(pattern)");
    {
#line 71 "CairoPattern.xs"
	cairo_matrix_t matrix;
#line 113 "CairoPattern.c"
	cairo_matrix_t *	RETVAL;
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 73 "CairoPattern.xs"
	cairo_pattern_get_matrix (pattern, &matrix);
	RETVAL = cairo_perl_copy_matrix (&matrix);
#line 119 "CairoPattern.c"
	ST(0) = newSVCairoMatrix (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}


XS(XS_Cairo__Pattern_status); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Pattern_status)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::Pattern::status(pattern)");
    {
	cairo_status_t	RETVAL;
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));

	RETVAL = cairo_pattern_status(pattern);
	ST(0) = newSVCairoStatus (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 2, 0)
#define XSubPPtmpAAAA 1


XS(XS_Cairo__Pattern_get_type); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Pattern_get_type)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::Pattern::get_type(pattern)");
    {
	cairo_pattern_type_t	RETVAL;
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));

	RETVAL = cairo_pattern_get_type(pattern);
	ST(0) = newSVCairoPatternType (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#endif

XS(XS_Cairo__SolidPattern_create_rgb); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SolidPattern_create_rgb)
{
    dXSARGS;
    if (items != 4)
	Perl_croak(aTHX_ "Usage: Cairo::SolidPattern::create_rgb(class, red, green, blue)");
    {
	cairo_pattern_t_noinc *	RETVAL;
	double	red = (double)SvNV(ST(1));
	double	green = (double)SvNV(ST(2));
	double	blue = (double)SvNV(ST(3));

	RETVAL = cairo_pattern_create_rgb(red, green, blue);
#line 98 "CairoPattern.xs"
#if CAIRO_VERSION < CAIRO_VERSION_ENCODE(1, 2, 0)
	cairo_perl_package_table_insert (RETVAL, "Cairo::SolidPattern");
#endif
#line 184 "CairoPattern.c"
	ST(0) = newSVCairoPattern_noinc (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}


XS(XS_Cairo__SolidPattern_create_rgba); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SolidPattern_create_rgba)
{
    dXSARGS;
    if (items != 5)
	Perl_croak(aTHX_ "Usage: Cairo::SolidPattern::create_rgba(class, red, green, blue, alpha)");
    {
	cairo_pattern_t_noinc *	RETVAL;
	double	red = (double)SvNV(ST(1));
	double	green = (double)SvNV(ST(2));
	double	blue = (double)SvNV(ST(3));
	double	alpha = (double)SvNV(ST(4));

	RETVAL = cairo_pattern_create_rgba(red, green, blue, alpha);
#line 107 "CairoPattern.xs"
#if CAIRO_VERSION < CAIRO_VERSION_ENCODE(1, 2, 0)
	cairo_perl_package_table_insert (RETVAL, "Cairo::SolidPattern");
#endif
#line 210 "CairoPattern.c"
	ST(0) = newSVCairoPattern_noinc (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 4, 0)
#define XSubPPtmpAAAB 1


XS(XS_Cairo__SolidPattern_get_rgba); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SolidPattern_get_rgba)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::SolidPattern::get_rgba(pattern)");
    SP -= items;
    {
#line 116 "CairoPattern.xs"
	cairo_status_t status;
	double red, green, blue, alpha;
#line 232 "CairoPattern.c"
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 119 "CairoPattern.xs"
	status = cairo_pattern_get_rgba (pattern, &red, &green, &blue, &alpha);
	CAIRO_PERL_CHECK_STATUS (status);
	EXTEND (sp, 4);
	PUSHs (sv_2mortal (newSVnv (red)));
	PUSHs (sv_2mortal (newSVnv (green)));
	PUSHs (sv_2mortal (newSVnv (blue)));
	PUSHs (sv_2mortal (newSVnv (alpha)));
#line 242 "CairoPattern.c"
	PUTBACK;
	return;
    }
}

#endif

XS(XS_Cairo__SurfacePattern_create); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SurfacePattern_create)
{
    dXSARGS;
    if (items != 2)
	Perl_croak(aTHX_ "Usage: Cairo::SurfacePattern::create(class, surface)");
    {
	cairo_pattern_t_noinc *	RETVAL;
	cairo_surface_t *	surface = SvCairoSurface (ST(1));
#line 138 "CairoPattern.xs"
	RETVAL = cairo_pattern_create_for_surface (surface);
#if CAIRO_VERSION < CAIRO_VERSION_ENCODE(1, 2, 0)
	cairo_perl_package_table_insert (RETVAL, "Cairo::SurfacePattern");
#endif
#line 264 "CairoPattern.c"
	ST(0) = newSVCairoPattern_noinc (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}


XS(XS_Cairo__SurfacePattern_set_extend); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SurfacePattern_set_extend)
{
    dXSARGS;
    if (items != 2)
	Perl_croak(aTHX_ "Usage: Cairo::SurfacePattern::set_extend(pattern, extend)");
    {
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
	cairo_extend_t	extend = SvCairoExtend (ST(1));

	cairo_pattern_set_extend(pattern, extend);
    }
    XSRETURN_EMPTY;
}


XS(XS_Cairo__SurfacePattern_get_extend); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SurfacePattern_get_extend)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::SurfacePattern::get_extend(pattern)");
    {
	cairo_extend_t	RETVAL;
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));

	RETVAL = cairo_pattern_get_extend(pattern);
	ST(0) = newSVCairoExtend (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}


XS(XS_Cairo__SurfacePattern_set_filter); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SurfacePattern_set_filter)
{
    dXSARGS;
    if (items != 2)
	Perl_croak(aTHX_ "Usage: Cairo::SurfacePattern::set_filter(pattern, filter)");
    {
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
	cairo_filter_t	filter = SvCairoFilter (ST(1));

	cairo_pattern_set_filter(pattern, filter);
    }
    XSRETURN_EMPTY;
}


XS(XS_Cairo__SurfacePattern_get_filter); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SurfacePattern_get_filter)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::SurfacePattern::get_filter(pattern)");
    {
	cairo_filter_t	RETVAL;
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));

	RETVAL = cairo_pattern_get_filter(pattern);
	ST(0) = newSVCairoFilter (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 4, 0)
#define XSubPPtmpAAAC 1


XS(XS_Cairo__SurfacePattern_get_surface); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__SurfacePattern_get_surface)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::SurfacePattern::get_surface(pattern)");
    {
#line 158 "CairoPattern.xs"
	cairo_status_t status;
#line 352 "CairoPattern.c"
	cairo_surface_t *	RETVAL;
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 160 "CairoPattern.xs"
	status = cairo_pattern_get_surface (pattern, &RETVAL);
	CAIRO_PERL_CHECK_STATUS (status);
#line 358 "CairoPattern.c"
	ST(0) = newSVCairoSurface (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#endif

XS(XS_Cairo__Gradient_add_color_stop_rgb); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Gradient_add_color_stop_rgb)
{
    dXSARGS;
    if (items != 5)
	Perl_croak(aTHX_ "Usage: Cairo::Gradient::add_color_stop_rgb(pattern, offset, red, green, blue)");
    {
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
	double	offset = (double)SvNV(ST(1));
	double	red = (double)SvNV(ST(2));
	double	green = (double)SvNV(ST(3));
	double	blue = (double)SvNV(ST(4));

	cairo_pattern_add_color_stop_rgb(pattern, offset, red, green, blue);
    }
    XSRETURN_EMPTY;
}


XS(XS_Cairo__Gradient_add_color_stop_rgba); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Gradient_add_color_stop_rgba)
{
    dXSARGS;
    if (items != 6)
	Perl_croak(aTHX_ "Usage: Cairo::Gradient::add_color_stop_rgba(pattern, offset, red, green, blue, alpha)");
    {
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
	double	offset = (double)SvNV(ST(1));
	double	red = (double)SvNV(ST(2));
	double	green = (double)SvNV(ST(3));
	double	blue = (double)SvNV(ST(4));
	double	alpha = (double)SvNV(ST(5));

	cairo_pattern_add_color_stop_rgba(pattern, offset, red, green, blue, alpha);
    }
    XSRETURN_EMPTY;
}

#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 4, 0)
#define XSubPPtmpAAAD 1


XS(XS_Cairo__Gradient_get_color_stops); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__Gradient_get_color_stops)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::Gradient::get_color_stops(pattern)");
    SP -= items;
    {
#line 184 "CairoPattern.xs"
	cairo_status_t status;
	int count, i;
	double offset, red, green, blue, alpha;
#line 421 "CairoPattern.c"
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 188 "CairoPattern.xs"
	status = cairo_pattern_get_color_stop_count (pattern, &count);
	CAIRO_PERL_CHECK_STATUS (status);
	EXTEND (sp, count);
	for (i = 0; i < count; i++) {
		AV *av;
		status = cairo_pattern_get_color_stop_rgba (pattern, i, &offset, &red, &green, &blue, &alpha);
		CAIRO_PERL_CHECK_STATUS (status);
		av = newAV ();
		av_push (av, newSVnv (offset));
		av_push (av, newSVnv (red));
		av_push (av, newSVnv (green));
		av_push (av, newSVnv (blue));
		av_push (av, newSVnv (alpha));
		PUSHs (sv_2mortal (newRV_noinc ((SV *) av)));
	}
#line 439 "CairoPattern.c"
	PUTBACK;
	return;
    }
}

#endif

XS(XS_Cairo__LinearGradient_create); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__LinearGradient_create)
{
    dXSARGS;
    if (items != 5)
	Perl_croak(aTHX_ "Usage: Cairo::LinearGradient::create(class, x0, y0, x1, y1)");
    {
	cairo_pattern_t_noinc *	RETVAL;
	double	x0 = (double)SvNV(ST(1));
	double	y0 = (double)SvNV(ST(2));
	double	x1 = (double)SvNV(ST(3));
	double	y1 = (double)SvNV(ST(4));
#line 215 "CairoPattern.xs"
	RETVAL = cairo_pattern_create_linear (x0, y0, x1, y1);
#if CAIRO_VERSION < CAIRO_VERSION_ENCODE(1, 2, 0)
	cairo_perl_package_table_insert (RETVAL, "Cairo::LinearGradient");
#endif
#line 464 "CairoPattern.c"
	ST(0) = newSVCairoPattern_noinc (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 4, 0)
#define XSubPPtmpAAAE 1


XS(XS_Cairo__LinearGradient_get_points); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__LinearGradient_get_points)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::LinearGradient::get_points(pattern)");
    SP -= items;
    {
#line 227 "CairoPattern.xs"
	cairo_status_t status;
	double x0, y0, x1, y1;
#line 486 "CairoPattern.c"
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 230 "CairoPattern.xs"
	status = cairo_pattern_get_linear_points (pattern, &x0, &y0, &x1, &y1);
	CAIRO_PERL_CHECK_STATUS (status);
	EXTEND (sp, 4);
	PUSHs (sv_2mortal (newSVnv (x0)));
	PUSHs (sv_2mortal (newSVnv (y0)));
	PUSHs (sv_2mortal (newSVnv (x1)));
	PUSHs (sv_2mortal (newSVnv (y1)));
#line 496 "CairoPattern.c"
	PUTBACK;
	return;
    }
}

#endif

XS(XS_Cairo__RadialGradient_create); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__RadialGradient_create)
{
    dXSARGS;
    if (items != 7)
	Perl_croak(aTHX_ "Usage: Cairo::RadialGradient::create(class, cx0, cy0, radius0, cx1, cy1, radius1)");
    {
	cairo_pattern_t_noinc *	RETVAL;
	double	cx0 = (double)SvNV(ST(1));
	double	cy0 = (double)SvNV(ST(2));
	double	radius0 = (double)SvNV(ST(3));
	double	cx1 = (double)SvNV(ST(4));
	double	cy1 = (double)SvNV(ST(5));
	double	radius1 = (double)SvNV(ST(6));
#line 249 "CairoPattern.xs"
	RETVAL = cairo_pattern_create_radial (cx0, cy0, radius0, cx1, cy1, radius1);
#if CAIRO_VERSION < CAIRO_VERSION_ENCODE(1, 2, 0)
	cairo_perl_package_table_insert (RETVAL, "Cairo::RadialGradient");
#endif
#line 523 "CairoPattern.c"
	ST(0) = newSVCairoPattern_noinc (RETVAL);
	sv_2mortal(ST(0));
    }
    XSRETURN(1);
}

#if CAIRO_VERSION >= CAIRO_VERSION_ENCODE(1, 4, 0)
#define XSubPPtmpAAAF 1


XS(XS_Cairo__RadialGradient_get_circles); /* prototype to pass -Wmissing-prototypes */
XS(XS_Cairo__RadialGradient_get_circles)
{
    dXSARGS;
    if (items != 1)
	Perl_croak(aTHX_ "Usage: Cairo::RadialGradient::get_circles(pattern)");
    SP -= items;
    {
#line 261 "CairoPattern.xs"
	cairo_status_t status;
	double x0, y0, r0, x1, y1, r1;
#line 545 "CairoPattern.c"
	cairo_pattern_t *	pattern = SvCairoPattern (ST(0));
#line 264 "CairoPattern.xs"
	status = cairo_pattern_get_radial_circles (pattern, &x0, &y0, &r0, &x1, &y1, &r1);
	CAIRO_PERL_CHECK_STATUS (status);
	EXTEND (sp, 6);
	PUSHs (sv_2mortal (newSVnv (x0)));
	PUSHs (sv_2mortal (newSVnv (y0)));
	PUSHs (sv_2mortal (newSVnv (r0)));
	PUSHs (sv_2mortal (newSVnv (x1)));
	PUSHs (sv_2mortal (newSVnv (y1)));
	PUSHs (sv_2mortal (newSVnv (r1)));
#line 557 "CairoPattern.c"
	PUTBACK;
	return;
    }
}

#endif
#ifdef __cplusplus
extern "C"
#endif
XS(boot_Cairo__Pattern); /* prototype to pass -Wmissing-prototypes */
XS(boot_Cairo__Pattern)
{
    dXSARGS;
    char* file = __FILE__;

    XS_VERSION_BOOTCHECK ;

        newXS("Cairo::Pattern::DESTROY", XS_Cairo__Pattern_DESTROY, file);
        newXS("Cairo::Pattern::set_matrix", XS_Cairo__Pattern_set_matrix, file);
        newXS("Cairo::Pattern::get_matrix", XS_Cairo__Pattern_get_matrix, file);
        newXS("Cairo::Pattern::status", XS_Cairo__Pattern_status, file);
#if XSubPPtmpAAAA
        newXS("Cairo::Pattern::get_type", XS_Cairo__Pattern_get_type, file);
#endif
        newXS("Cairo::SolidPattern::create_rgb", XS_Cairo__SolidPattern_create_rgb, file);
        newXS("Cairo::SolidPattern::create_rgba", XS_Cairo__SolidPattern_create_rgba, file);
#if XSubPPtmpAAAB
        newXS("Cairo::SolidPattern::get_rgba", XS_Cairo__SolidPattern_get_rgba, file);
#endif
        newXS("Cairo::SurfacePattern::create", XS_Cairo__SurfacePattern_create, file);
        newXS("Cairo::SurfacePattern::set_extend", XS_Cairo__SurfacePattern_set_extend, file);
        newXS("Cairo::SurfacePattern::get_extend", XS_Cairo__SurfacePattern_get_extend, file);
        newXS("Cairo::SurfacePattern::set_filter", XS_Cairo__SurfacePattern_set_filter, file);
        newXS("Cairo::SurfacePattern::get_filter", XS_Cairo__SurfacePattern_get_filter, file);
#if XSubPPtmpAAAC
        newXS("Cairo::SurfacePattern::get_surface", XS_Cairo__SurfacePattern_get_surface, file);
#endif
        newXS("Cairo::Gradient::add_color_stop_rgb", XS_Cairo__Gradient_add_color_stop_rgb, file);
        newXS("Cairo::Gradient::add_color_stop_rgba", XS_Cairo__Gradient_add_color_stop_rgba, file);
#if XSubPPtmpAAAD
        newXS("Cairo::Gradient::get_color_stops", XS_Cairo__Gradient_get_color_stops, file);
#endif
        newXS("Cairo::LinearGradient::create", XS_Cairo__LinearGradient_create, file);
#if XSubPPtmpAAAE
        newXS("Cairo::LinearGradient::get_points", XS_Cairo__LinearGradient_get_points, file);
#endif
        newXS("Cairo::RadialGradient::create", XS_Cairo__RadialGradient_create, file);
#if XSubPPtmpAAAF
        newXS("Cairo::RadialGradient::get_circles", XS_Cairo__RadialGradient_get_circles, file);
#endif

    /* Initialisation Section */

#if XSubPPtmpAAAA
#endif
#line 91 "CairoPattern.xs"
	cairo_perl_set_isa ("Cairo::SolidPattern", "Cairo::Pattern");

#if XSubPPtmpAAAB
#endif
#line 134 "CairoPattern.xs"
	cairo_perl_set_isa ("Cairo::SurfacePattern", "Cairo::Pattern");

#if XSubPPtmpAAAC
#endif
#line 172 "CairoPattern.xs"
	cairo_perl_set_isa ("Cairo::Gradient", "Cairo::Pattern");

#if XSubPPtmpAAAD
#endif
#line 211 "CairoPattern.xs"
	cairo_perl_set_isa ("Cairo::LinearGradient", "Cairo::Gradient");

#if XSubPPtmpAAAE
#endif
#line 245 "CairoPattern.xs"
	cairo_perl_set_isa ("Cairo::RadialGradient", "Cairo::Gradient");

#if XSubPPtmpAAAF
#endif
#line 638 "CairoPattern.c"

    /* End of Initialisation Section */

    XSRETURN_YES;
}

